#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    int a,b,c=0,br1=0,br2=0,x=1,y=15,y1=20;
    cin>>a>>b;
    while(y!=0 && y1!=0)
    {
        y=a/x;
        if(y>0)
            br1++;
        y1=b/x;
        if(y1>0)
            br2++;
        x=x*10;
    }
    int max=br1;
    if(br2>max)
        max=br2;
    int m=pow(10,max-1);
    int p,q;
    for(int i=0;i<max;i++)
    {
        p=a/m;
        q=b/m;
        if(p>q)
            c=p*m+c;
        else if(q>p)
            c=q*m+c;

        else
            c=10*(c+p*m)+q*m;
        a=a-p*m;
        b=b-q*m;
        m=m/10;
    }
    cout<<c;
    return 0;
}